Page MenuHomePhabricator

Use "View newest changes" link on Watchlist don't update Notification badges
Closed, DuplicatePublic

Description

I've experienced that on my volunteer account on fr.wp.

  1. Filters are enabled on my Watchlist.
  2. I'm clicking regularly on "View newest changes" link
  3. When a open one of the updates on a new tab, I see on that new tab a pair of notifications (one red alert, one blue notification)
  4. I visit the alert and the badge goes away. I don't visit the notification (blue)
  5. I close the tab and go back to my watchlist
  6. I click on "View newest changes" link

Expectation: the blue badge appears at some point
Reality: I'm still waiting for it to be updated

Maybe @Etonkovidova you should have a look at it. I see it as a blocking point for T181193: [EPIC] Graduate the New Filters UX on Watchlist out of beta on all wikis.

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 1 2018, 9:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Ideally, notifications would update completely independently (T34284).

Catrope added a subscriber: Catrope.Jun 1 2018, 8:45 PM

This is not a blocker for T181193. It would be nice to fix this, but it's a separate issue. Also note that, if you click a notification badge (even if it doesn't have a number on it), it'll open up an up-to-date list of notifications. That list refreshes every time you open it.

Trizek added a subscriber: Trizek.Jun 4 2018, 8:28 AM

This is not a blocker for T181193. It would be nice to fix this, but it's a separate issue. Also note that, if you click a notification badge (even if it doesn't have a number on it), it'll open up an up-to-date list of notifications. That list refreshes every time you open it.

I'll frankly speak as a volunteer: I think it will be perceived as a big blocker.

I have my watchlist tab open all the time. That's my access page to my home wiki. That's also where I get Notifications. I'm used to get the notifications when I refresh the page, which is broken when I'm using the "View newest changes" link. If you don't fix that, I will opt-out the feature for sure.

Vvjjkkii renamed this task from Use "View newest changes" link on Watchlist don't update Notification badges to wubaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from wubaaaaaaa to Use "View newest changes" link on Watchlist don't update Notification badges.Jul 2 2018, 2:04 AM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 11 2018, 2:21 PM
Trizek removed a subscriber: Trizek.Jul 11 2018, 3:00 PM